module UU

  module Finman

    module FinancialTransaction

      # Enumeration of available states for financial transfer advance.
      class FinancialTransactionState

            # Financial transaction active state.
            CREATED = 'CREATED'

            # Financial transaction for acceptance state.
            FOR_ACCEPTANCE = 'FOR_ACCEPTANCE'

            # Financial transaction accepted state.
            ACCEPTED = 'ACCEPTED'

            # Financial transaction request state.
            REQUESTED = 'REQUESTED'

            # Financial transaction confirmed state.
            CONFIRMED = 'CONFIRMED'

            # Financial transaction invoiced state.
            INVOICED = 'INVOICED'

            # Financial transaction invoice received state.
            INVOICE_RECEIVED = 'INVOICE_RECEIVED'

      end
    end
  end
end
